#include "gridstorefunctions.h"
#include "gridstore.h"
#include <stdio.h>



int main(int argc, char** argv){
	if(argc < 2){
		printf("Need to enter a chain name to register coffee store chain into GridDB\n");
	} else {
		

		GSGridStore* gridstore = makeGridStore(HOST,PORT,CLUSTER_NAME,USER,PASSWORD); // Connect to GridDB cluster
		GSCollection* collection = makeCoffeeStoreCollection(gridstore,argv[1]); // Make a coffee chain collection with the given name to store coffee stores
		
		
		if(collection != NULL)
			printf("Coffee store chain with name %s has been registered\n",argv[1]);
		else
			printf("Registration failed\n");
		


		gsCloseGridStore(&gridstore,GS_TRUE); // Close GridDB connection
	}
	return 0;
}